# State

    public enum State

    extension CompactBlockProcessor.State: Equatable

Represents the possible states of a CompactBlockProcessor

- `downloading`

  connected and downloading blocks

  #### Declaration

  Swift

      case downloading

- `stopped`

  was doing something but was paused

  #### Declaration

  Swift

      case stopped

- `validating`

  processor is validating

  #### Declaration

  Swift

      case validating

- `scanning`

  processor is scanning

  #### Declaration

  Swift

      case scanning

- `enhancing`

  Processor is Enhancing transactions

  #### Declaration

  Swift

      case enhancing

- `fetching`

  fetching utxos

  #### Declaration

  Swift

      case fetching

- `error(_:)`

  was processing but erred

  #### Declaration

  Swift

      case error(_: Error)

- `synced`

  Processor is up to date with the blockchain and you can now make transactions.

  #### Declaration

  Swift

      case synced

- `==(_:_:)`

  #### Declaration

  Swift

      public static func == (lhs: CompactBlockProcessor.State, rhs: CompactBlockProcessor.State) -> Bool

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.